#include <stdio.h>
#include <stdlib.h>

int yyparse(void);
#if YYDEBUG != 0
extern int yydebug;
#endif
FILE *output, *script;

static char output_file[_MAX_PATH];
static char script_file[_MAX_PATH];
static char drive[_MAX_DRIVE];
static char dir[_MAX_DIR];
static char fname[_MAX_FNAME];
static char ext[_MAX_EXT];

main(int argc, char *argv[])
{
  extern FILE *yyin;

  _splitpath( argv[1], drive, dir, fname, ext );
  _makepath(output_file, drive, dir, fname, "c" );
  _makepath(script_file, drive, dir, fname, "s" );

  yyin = fopen( argv[1], "r" );
  output = fopen(output_file, "w");
  script = fopen(script_file, "w");

  yydebug = 1;
  yyparse();

  fclose(output);
  fclose(script);
  fclose(yyin);
}

yyerror ( char *s )
{
  printf ("%s\n", s);
}

int yywrap(void){
    return 1;
}

